Index: tests/GuiChecks/Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at
===================================================================
--- tests/GuiChecks/Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
+++ tests/GuiChecks/Selection/Molecules/InvertMolecules/testsuite-selection-invert-molecules.at	(revision dd6c07d2c5d563c8e46c0a4b01a0de11563eb584)
@@ -0,0 +1,66 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### 1. invert molecules
+
+
+AT_SETUP([Selection - Invert Molecules])
+AT_KEYWORDS([selection molecule invert-molecules])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/InvertMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=mol0_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 0 --invert-molecules -s $targetfile --no-dry-run --store-session session-selection-invert-molecules.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-invert-molecules.py >session-selection-invert-molecules_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-invert-molecules_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Invert Molecules with Undo])
+AT_KEYWORDS([selection molecule invert-molecules undo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/InvertMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=mol0_present.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 0 --invert-molecules --undo -s $targetfile --no-dry-run --store-session session-selection-invert-molecules.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-invert-molecules.py >session-selection-invert-molecules_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-invert-molecules_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Selection - Invert Molecules with Redo])
+AT_KEYWORDS([selection molecule invert-molecules redo])
+
+regressionpath="${abs_top_srcdir}/tests/regression/Selection/Molecules/InvertMolecules"
+srcfile=box.xyz
+testfile=test.xyz
+targetfile=mol0_missing.xyz
+AT_CHECK([cp -n ${regressionpath}/pre/$srcfile $testfile], 0)
+AT_CHECK([../../molecuilder --dry-run -i $testfile -I --select-molecule-by-id 0 --invert-molecules --undo --redo -s $targetfile --no-dry-run --store-session session-selection-invert-molecules.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([grep -v "Command.*DryRun" session-selection-invert-molecules.py >session-selection-invert-molecules_new.py], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilderguitest session-selection-invert-molecules_new.py], 0, [stdout], [stderr])
+AT_CHECK([diff -I '.*Created by molecuilder.*' $targetfile ${regressionpath}/post/$targetfile], 0, [ignore], [ignore])
+
+AT_CLEANUP
